Bug 154519 - [PATCH] net/beacon: update to 1.4
Summary: [PATCH] net/beacon: update to 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-05 04:00 UTC by leres
Modified: 2011-04-11 05:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (438 bytes, patch)
2011-02-05 04:00 UTC, leres
no flags Details | Diff
file.diff (282 bytes, patch)
2011-02-05 04:00 UTC, leres
no flags Details | Diff
patch-Makefile.txt (1.55 KB, patch)
2011-02-27 21:55 UTC, leres
no flags Details | Diff
patch-distinfo.txt (438 bytes, patch)
2011-02-27 21:55 UTC, leres
no flags Details | Diff
patch-pkg-plist.txt (282 bytes, patch)
2011-02-27 21:55 UTC, leres
no flags Details | Diff
patch-Makefile.txt.sig (72 bytes, application/octet-stream)
2011-02-27 21:55 UTC, leres
no flags Details
patch-distinfo.txt.sig (72 bytes, application/octet-stream)
2011-02-27 21:55 UTC, leres
no flags Details
patch-pkg-plist.txt.sig (72 bytes, application/octet-stream)
2011-02-27 21:55 UTC, leres
no flags Details
beacon-patch3.txt (2.31 KB, text/plain)
2011-04-11 04:09 UTC, Steve Wills
no flags Details
beacon-patch3.txt.sig (287 bytes, application/octet-stream)
2011-04-11 04:09 UTC, Steve Wills
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2011-02-05 04:00:24 UTC
    I just released 1.4 to sourceforge. It's identical to 1.4a1 except for
    version/date strings and I've been running without issues at LBL for
    two weeks.

Fix: This is a multi-part message in MIME format.
--------------050202060705010404080101
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This version includes a FreeBSD rc.d script and incorporates all patches
from the files directory so please remove "files" from this port.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk1MyVwACgkQWxlAhAje3Jtc7QCghPHzt1ZF185xlWD/yog3xufZ
iekAoIkMw46403fWzTPY2FVcK/soSEfw
=FbBk
-----END PGP SIGNATURE-----

--------------050202060705010404080101
Content-Type: text/plain;
 name="patch-Makefile.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-Makefile.txt"

--------------050202060705010404080101
Content-Type: text/plain;
 name="patch-distinfo.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-distinfo.txt"

--------------050202060705010404080101
Content-Type: text/plain;
 name="patch-pkg-plist.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="patch-pkg-plist.txt"



--------------050202060705010404080101
Content-Type: application/octet-stream;
 name="patch-Makefile.txt.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-Makefile.txt.sig"

iEYEABECAAYFAk1MyV0ACgkQWxlAhAje3JsuMwCfR/RslQE1dJgWe4VW6GAFy8ySOhMAmwSh
GG7Xu7YungU/QfsyW1aWsrxW
--------------050202060705010404080101
Content-Type: application/octet-stream;
 name="patch-distinfo.txt.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-distinfo.txt.sig"

iEYEABECAAYFAk1MyV0ACgkQWxlAhAje3Js0eQCfUOzYzrWtSO55UpPZRkbElHouEqsAoIaC
pXNmpCbu/f3a3LepwL3Df+gW
--------------050202060705010404080101
Content-Type: application/octet-stream;
 name="patch-pkg-plist.txt.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-pkg-plist.txt.sig"

iEYEABECAAYFAk1MyV0ACgkQWxlAhAje3JvPogCeOnv7xG1WWnsAlPwbfyXXLl6S+2oAn08D
ZjDvWPIFVSmPhaqZXg6SoOs5
--------------050202060705010404080101----YajBSeD6UwYgKtzQQebUuHEbqnDyPvOsfIW8KhKa0McHZhW5
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	2011-02-04 19:44:24.000000000 -0800
+++ Makefile	2011-02-04 19:39:55.000000000 -0800
@@ -2,44 +2,34 @@
 # Date created:		26 February 2004
 # Whom:	      		Janos.Mohacsi@bsd.hu
 #
-# $FreeBSD: ports/net/beacon/Makefile,v 1.22 2010/12/15 22:44:42 pgollucci Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	beacon
-PORTVERSION=	1.3
-PORTREVISION=	4
+PORTVERSION=	1.4
 CATEGORIES=	net perl5 mbone ipv6
 MASTER_SITES=	http://dast.nlanr.net/Projects/Beacon/releases/
+DISTNAME=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	janos.mohacsi@bsd.hu
 COMMENT=	Beacon active measurement tool to monitor multicast
 
 BUILD_DEPENDS=	${SITE_PERL}/Net/Domain.pm:${PORTSDIR}/net/p5-Net
-RUN_DEPENDS=	${SITE_PERL}/Net/Domain.pm:${PORTSDIR}/net/p5-Net
+RUN_DEPENDS=	${BUILD_DEPENDS}
 
 WWW_DIR?=	${PREFIX}/www/
 PLIST_SUB+=	VERSION=${PORTVERSION}
 USE_PERL5=	yes
 USE_AUTOTOOLS=	autoconf
-USE_RC_SUBR=	beacon
 
-.ifdef(WITHOUT_IPV6)
 CONFIGURE_ARGS=
+
+OPTIONS=	IPv6	"Enable IPv6 PTR lookups" off
+
+.ifdef(WITHOUT_IPV6)
 .else
-#enable IPv6 name lookup, and sending IPv6 multicast
 BUILD_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/Socket6.pm:${PORTSDIR}/net/p5-Socket6
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-src_beacon.in
 CONFIGURE_ARGS+=	--enable-ipv6
 .endif
 
-.include <bsd.port.pre.mk>
-
-post-install:
-	@${ECHO} "Sample config installed at ${PREFIX}/etc/beacon.conf.sample"
-	@${ECHO} "Copy the customised version to ${PREFIX}/etc/beacon.conf"
-.ifndef(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}/
-	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}/
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Comment 1 Edwin Groothuis freebsd_committer 2011-02-05 04:00:33 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-05 04:00:38 UTC
Maintainer of net/beacon,

Please note that PR ports/154519 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154519

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-05 04:00:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Martin Wilke freebsd_committer 2011-02-05 06:12:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2011-02-19 08:20:34 UTC
State Changed
From-To: feedback->closed

maintainer timeout.
Comment 6 Mark Linimon freebsd_committer 2011-02-25 00:17:18 UTC
State Changed
From-To: closed->open

apparently closed by mistake. 


Comment 7 Mark Linimon freebsd_committer 2011-02-25 00:17:18 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

apparently closed by mistake.
Comment 8 Sahil Tandon freebsd_committer 2011-02-27 20:24:54 UTC
Please re-send your patch; it was mangled in transit.

Also, why do you remove the definition of USE_RC_SUBR?  Why do you
explicitly set DISTNAME to its default of ${PORTNAME}-${PORTVERSION}?
Why do you remove the EXTRA_PATCHES?  Are docs no longer distributed by
the upstream?  A little more clarity on the rationale for your various
edits would be helpful.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 9 leres 2011-02-27 21:55:43 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 02/27/11 12:24, Sahil Tandon wrote:
> Also, why do you remove the definition of USE_RC_SUBR?

Beacon 1.4 installs a rc.d script when it detects FreeBSD. (Note that
etc/rc.d/beacon was added to pkg-plist.)

>                                                         Why do you
> explicitly set DISTNAME to its default of ${PORTNAME}-${PORTVERSION}?

That's a mistake. And it turns out MASTER_SITES was broken. Finally, the
IPV6 option needed to be in caps.

> Why do you remove the EXTRA_PATCHES?

They are incorporated into beacon 1.4.

>                                       Are docs no longer distributed by
> the upstream?

There is a README; I put it back.

>                A little more clarity on the rationale for your various
> edits would be helpful.

One goal of the beacon 1.4 release was to make it "FreeBSD ports clean."

I've attached a new set of patches. Note that the files directory still
needs to be removed.

		Craig
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk1qyF8ACgkQWxlAhAje3JsPuACeMCgaWHyvvqsJ4q6TsIpJCZnR
tJEAn0zlhq7I06oM1VSGWIG/x3l3nUfG
=Hy92
-----END PGP SIGNATURE-----
Comment 10 Steve Wills freebsd_committer 2011-04-11 02:48:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 11 Steve Wills freebsd_committer 2011-04-11 04:09:21 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

On 04/10/11 21:44, Craig Leres wrote:
> Sorry to be a nag but this update from 1.3 to 1.4 has been languishing
> for many weeks now:
> 
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154519
> 
> Is there someone who has time to commit it?
> 
> Thanks!
> 
> 		Craig

I'm taking a look at this.

I had to make some changes:

* Fix MASTER_SITES
* Remove unneeded 'CONFIGURE_ARGS='
* Fix capitalization of IPV6
* DEPENDS should be explicit, so put RUN_DEPENDS back
* Restore docs, behind NOPORTDOCS option
* Remove @${ECHO} about config file. pkg-message should be used instead,
so that the message can be seen via pkg_info -D, but I think this can
simply be removed.
* No need to include bsd.port.pre.mk/bsd.port.post.mk to get
post-install target
* Remove empty half of if/else statement and switch logic, making it cleaner

Could you take a look at the attached patch and confirm it looks OK?

Thanks,
Steve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (FreeBSD)

iQEcBAEBAgAGBQJNonDhAAoJEPXPYrMgexuhhMgH/35eJXJYeVO9Qx169rSuWAyF
4lcF1DGe9RRYqogLIhwk1UQ6kwBdVOPQp5SeIB3eTzmOq3otBZFJmnuDdgTN23d6
9DjSJ63U9aLR0rKsl6jwaA6FqKK0UxOG/zR4Qi8O4uZfyBpYE2dd52+ab15uF+E9
j0iL2yAgrQS5leS1HJEU91AnBi/O/zaac2vwq0fNOwUV0Z4SFgWKZIEjjGqF3k8X
Vtq0zAF7b5LwiCnPKUfWskGietDRGAcHQwgtXt5ll96EYENFKf8IB3zUAznLBNfk
vVMRzaWT9+YdC5Pkx/LnhQWyS74yJc4WrAbFuYsL78T0ndp87GE8B3mg5fW3740=
=nEQv
-----END PGP SIGNATURE-----
Comment 12 leres 2011-04-11 04:35:51 UTC
> I had to make some changes:

(Grrr... I guess I posted a slightly out of date patch set.)

> * Fix MASTER_SITES

I'm not sure if it makes sense to factor "beacon" out of
"multicastbeacon". Here's what I had vs. your patches:

< MASTER_SITES=
SF/multicast${PORTNAME}/multicast${PORTNAME}/${PORTNAME}%20v${PORTVERSION}
---
> MASTER_SITES= SF/multicastbeacon/multicastbeacon/beacon%20v${PORTVERSION}

I guess my reasoning is "beacon" is the PORTNAME and "multicastbeacon"
is the sourceforge project name.

> Could you take a look at the attached patch and confirm it looks OK?

Everything else looks great.

		Craig
Comment 13 dfilter freebsd_committer 2011-04-11 05:11:54 UTC
swills      2011-04-11 04:11:41 UTC

  FreeBSD ports repository

  Modified files:
    net/beacon           Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    net/beacon/files     beacon.in extra-patch-src_beacon.in 
                         patch-Makefile.in 
                         patch-common-beacon.patch 
                         patch-libbeacon-Makefile.in 
                         patch-src_Makefile.in 
  Log:
  - Update to 1.4
  - Fix MASTER_SITES
  - Update home page to SF site since previous page doesn't respond
  - Use included rc script
  - Remove patches included upstream
  - Remove unneeded 'CONFIGURE_ARGS='
  - Don't unnecessarily include bsd.port.pre.mk/bsd.port.post.mk
  - Remove messages about config files. pkg-message could be used, but
    isn't necessary
  
  PR:             ports/154519
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.23      +6 -14     ports/net/beacon/Makefile
  1.8       +2 -2      ports/net/beacon/distinfo
  1.4       +0 -48     ports/net/beacon/files/beacon.in (dead)
  1.2       +0 -95     ports/net/beacon/files/extra-patch-src_beacon.in (dead)
  1.2       +0 -11     ports/net/beacon/files/patch-Makefile.in (dead)
  1.2       +0 -18     ports/net/beacon/files/patch-common-beacon.patch (dead)
  1.2       +0 -11     ports/net/beacon/files/patch-libbeacon-Makefile.in (dead)
  1.3       +0 -13     ports/net/beacon/files/patch-src_Makefile.in (dead)
  1.2       +1 -1      ports/net/beacon/pkg-descr
  1.8       +1 -0      ports/net/beacon/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Steve Wills freebsd_committer 2011-04-11 05:17:38 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 04/10/11 23:35, Craig Leres wrote:
> 
>> I had to make some changes:
> 
> (Grrr... I guess I posted a slightly out of date patch set.)
> 
>> * Fix MASTER_SITES
> 
> I'm not sure if it makes sense to factor "beacon" out of
> "multicastbeacon". Here's what I had vs. your patches:
> 
> < MASTER_SITES=
> SF/multicast${PORTNAME}/multicast${PORTNAME}/${PORTNAME}%20v${PORTVERSION}
> ---
> > MASTER_SITES= SF/multicastbeacon/multicastbeacon/beacon%20v${PORTVERSION}
> 
> I guess my reasoning is "beacon" is the PORTNAME and "multicastbeacon"
> is the sourceforge project name.
> 

As far as I understand it, the only reason to use ${PORTNAME} there
would be to make it easier to cut and paste the line if you wanted to
use it in another port or so you have less to change if the port is
repo-copied. Neither seems likely here and using it makes things less
readable. If the SF project name changed, I could see doing it.

>> Could you take a look at the attached patch and confirm it looks OK?
> 
> Everything else looks great.
> 
> 		Craig

Great, committed. I also updated the home page since that wasn't
responding either.

Steve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (FreeBSD)

iQEcBAEBAgAGBQJNooDiAAoJEPXPYrMgexuhcgUH/RWf+tfsNAkYMd04Zo99AU6N
Tm1W9CGcBXCIJ981KLWLyDcNWlKLJTFbL6dmbLsnbrA6PcwDGejQriv2h+ynxgdb
zUy1UVxnJ/6WnvQOTV/IOCfu/1kE54dI9lMQtN+0eNyBDex3e/pF7Q15USsaERR4
BfQsdg3AAivDBXoZPDmLcIWLt5AiMQsYsVmO95d6YgB3u8w2Io/S5XZz6y4x5Ih3
QZXyZx+gDoe8+Ry7tXQQJ1NPUBBEDGe6NIrjYM+Wxr7LmUPJ86rE1DavhF0LLktU
M6pxmgUR2xTfOOoHGL/Pm/SKvDqn6YkDKqu39pScJKv+ZjRHgugl5UnXP+SK5Us=
=m0gj
-----END PGP SIGNATURE-----
Comment 15 Steve Wills freebsd_committer 2011-04-11 05:18:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!